drop table user_info;
create table user_info(
    id integer, 
    user_id varchar(255), 
    password varchar(255),
    create_user_id varchar(255), 
    update_user_id varchar(255), 
    create_date timestamp, 
    update_date timestamp, 
    version_id integer,
    primary key (id)
);

drop table profile;
create table profile(
    id integer, 
    user_id varchar(255), 
    name varchar(255),
    sex varchar(1),    
    birth_day varchar(8),  
    introdunction_text varchar(255),  
    img varchar(255),  
    public_div varchar(1),  
    create_user_id varchar(255), 
    update_user_id varchar(255), 
    create_date timestamp, 
    update_date timestamp, 
    version_id integer,
    primary key (id)
);

drop table friend;
create table friend(
    id integer, 
    user_id varchar(255), 
    friend_id varchar(255), 
    create_user_id varchar(255), 
    update_user_id varchar(255), 
    create_date timestamp, 
    update_date timestamp, 
    version_id integer,
    primary key (id)
);

drop table message;
create table message(
    id integer, 
    user_id varchar(255), 
    friend_id varchar(255), 
    reply_id integer,
    message text, 
    new_arrival_div varchar(1), 
    create_user_id varchar(255), 
    update_user_id varchar(255), 
    create_date timestamp, 
    update_date timestamp, 
    version_id integer,
    primary key (id)
);


drop table log;
create table log(
    id integer, 
    user_id varchar(255), 
    name varchar(255), 
    create_user_id varchar(255), 
    update_user_id varchar(255), 
    create_date timestamp, 
    update_date timestamp, 
    version_id integer,
    primary key (id)
    
);

drop table entry;
create table entry(
    id integer, 
    user_id varchar(255), 
    title varchar(255), 
    text text ,
    create_user_id varchar(255), 
    update_user_id varchar(255), 
    create_date timestamp, 
    update_date timestamp, 
    version_id integer,
    primary key (id)
);

drop table comment;
create table comment(
    id integer, 
    user_id varchar(255), 
    entry_id integer, 
    coment text ,
    create_user_id varchar(255), 
    update_user_id varchar(255), 
    create_date timestamp, 
    update_date timestamp, 
    version_id integer,
    primary key (id)
);

drop table public_message;
create table public_message(
    id integer, 
    user_id varchar(255), 
    friend_id varchar(255), 
    message text, 
    create_user_id varchar(255), 
    update_user_id varchar(255), 
    create_date timestamp, 
    update_date timestamp, 
    version_id integer,
    primary key (id)
);

DROP SEQUENCE user_info_id;
CREATE SEQUENCE user_info_id INCREMENT 1 START 1;

DROP SEQUENCE profile_id;
CREATE SEQUENCE profile_id INCREMENT 1 START 1;

DROP SEQUENCE friend_id;
CREATE SEQUENCE friend_id INCREMENT 1 START 1;

DROP SEQUENCE message_id;
CREATE SEQUENCE message_id INCREMENT 1 START 1;

DROP SEQUENCE log_id;
CREATE SEQUENCE log_id INCREMENT 1 START 1;

DROP SEQUENCE entry_id;
CREATE SEQUENCE entry_id INCREMENT 1 START 1;

DROP SEQUENCE comment_id;
CREATE SEQUENCE comment_id INCREMENT 1 START 1;

DROP SEQUENCE public_message_id;
CREATE SEQUENCE public_message_id INCREMENT 1 START 1;

