package examples.teeda.sns.dao;

import org.seasar.dao.annotation.tiger.Arguments;
import org.seasar.dao.annotation.tiger.NoPersistentProperty;
import org.seasar.dao.annotation.tiger.S2Dao;

import examples.teeda.sns.entity.Profile;

@S2Dao(bean = Profile.class)
public interface ProfileDao {

	public Profile[] selectAll();
	
	public Profile[] select(Profile p);

	@Arguments("ID")
	public Profile selectById(int id);

	@Arguments("USER_ID")
	public Profile selectByUserId(String userId);

	public int insert(Profile profile);

	@NoPersistentProperty( { "createUserId", "createDate" })
	public int update(Profile profile);

	public int delete(Profile profile);

}
