package examples.teeda.sns.interceptor;

import java.sql.Timestamp;

import org.aopalliance.intercept.MethodInvocation;
import org.seasar.framework.aop.interceptors.AbstractInterceptor;
import org.seasar.framework.beans.BeanDesc;
import org.seasar.framework.beans.PropertyDesc;
import org.seasar.framework.beans.factory.BeanDescFactory;
import org.seasar.framework.container.S2Container;

import examples.teeda.sns.dto.LoginDto;

public class WhoColumnInjectIntercepter extends AbstractInterceptor {

	private static final long serialVersionUID = -2509044980235258572L;

	private S2Container container;

	private LoginDto loginDto;

	public Object invoke(MethodInvocation invocation) throws Throwable {

		String methodName = invocation.getMethod().getName();
		Object[] args = invocation.getArguments();
		LoginDto loginDto = getLoginDto();

		String userId = "dummy";
		if (loginDto != null) {
			userId = loginDto.getUserDto().getUserId();
		}
		BeanDesc desc = BeanDescFactory.getBeanDesc(args[0].getClass());
		Timestamp now = new Timestamp(System.currentTimeMillis());
		if (methodName != null
				&& (methodName.startsWith("insert")
						|| methodName.startsWith("add") || methodName
						.startsWith("create"))) {
			if (args[0] != null) {
				if (desc.hasField("createUserId")) {
					PropertyDesc prpDesc = desc.getPropertyDesc("createUserId");
					prpDesc.setValue(args[0], userId);
				}

				if (desc.hasField("updateUserId")) {
					PropertyDesc prpDesc = desc.getPropertyDesc("updateUserId");
					prpDesc.setValue(args[0], userId);
				}

				if (desc.hasField("createDate")) {
					PropertyDesc prpDesc = desc.getPropertyDesc("createDate");
					prpDesc.setValue(args[0], now);
				}

				if (desc.hasField("updateDate")) {
					PropertyDesc prpDesc = desc.getPropertyDesc("updateDate");
					prpDesc.setValue(args[0], now);
				}

			}

		} else if (methodName != null
				&& (methodName.startsWith("update")
						|| methodName.startsWith("modify") || methodName
						.startsWith("store"))) {
			if (desc.hasField("updateUserId")) {
				PropertyDesc prpDesc = desc.getPropertyDesc("updateUserId");
				prpDesc.setValue(args[0], userId);
			}

			if (desc.hasField("updateDate")) {
				PropertyDesc prpDesc = desc.getPropertyDesc("updateDate");
				prpDesc.setValue(args[0], now);
			}
		}

		Object ret = invocation.proceed();
		return ret;
	}

	public S2Container getContainer() {
		return container;
	}

	public void setContainer(S2Container container) {
		this.container = container.getRoot();
	}

	public LoginDto getLoginDto() {
		return loginDto;
	}

	public void setLoginDto(LoginDto loginDto) {
		this.loginDto = loginDto;
	}

}
