package examples.teeda.sns.web.login;

import org.seasar.teeda.extension.annotation.validator.Required;

import examples.teeda.sns.dao.ProfileDao;
import examples.teeda.sns.dao.UserInfoDao;
import examples.teeda.sns.dto.LoginDto;
import examples.teeda.sns.dto.ProfileDto;
import examples.teeda.sns.dto.UserInfoDto;
import examples.teeda.sns.dxo.ProfileDxo;
import examples.teeda.sns.dxo.UserInfoDxo;
import examples.teeda.sns.entity.Profile;
import examples.teeda.sns.entity.UserInfo;
import examples.teeda.sns.web.main.MainPage;

public class LoginPage {

	@Required
	private String password;

	@Required
	private String userId;

	private LoginDto loginDto;

	private UserInfoDao userInfoDao;

	private ProfileDao profileDao;

	private ProfileDxo profileDxo;

	private UserInfoDxo userInfoDxo;

	public Class doLogin() {
		UserInfo u = userInfoDao.selectByIdAndPassword(userId, password);
		if (u != null) {
			// Profileを取得
			Profile p = profileDao.selectByUserId(userId);
			if (p != null) {
				ProfileDto pd = profileDxo.convertEntityToDto(p);
				loginDto.setProfileDto(pd);
			}
			UserInfoDto ud = userInfoDxo.convertEntityToDto(u);
			loginDto.setUserDto(ud);
			return MainPage.class;
		} else {
			return null;
		}
	}

	public Class initialize() {
		return null;
	}

	public Class prerender() {
		return null;
	}

	public UserInfoDxo getUserInfoDxo() {
		return userInfoDxo;
	}

	public void setUserInfoDxo(UserInfoDxo userDxo) {
		this.userInfoDxo = userDxo;
	}

	public LoginDto getLoginDto() {
		return loginDto;
	}

	public void setLoginDto(LoginDto loginDto) {
		this.loginDto = loginDto;
	}

	public ProfileDao getProfileDao() {
		return profileDao;
	}

	public void setProfileDao(ProfileDao profileDao) {
		this.profileDao = profileDao;
	}

	public ProfileDxo getProfileDxo() {
		return profileDxo;
	}

	public void setProfileDxo(ProfileDxo profileDxo) {
		this.profileDxo = profileDxo;
	}

	public String getLayout() {
		return null;
	}

	public String getPassword() {
		return password;
	}

	public void setPassword(String password) {
		this.password = password;
	}

	public String getUserId() {
		return userId;
	}

	public void setUserId(String userId) {
		this.userId = userId;
	}

	public UserInfoDao getUserInfoDao() {
		return userInfoDao;
	}

	public void setUserInfoDao(UserInfoDao userInfoDao) {
		this.userInfoDao = userInfoDao;
	}
}
