package examples.teeda.sns.web.main;

import org.seasar.teeda.extension.annotation.validator.Required;

import examples.teeda.sns.dto.ProfileDto;
import examples.teeda.sns.dto.UserInfoDto;
import examples.teeda.sns.entity.Profile;

public class ProfileUpdatePage extends AbstractProfilePage {

	public Class initialize() {
		initializeItems();
		ProfileDto pd = getLoginDto().getProfileDto();
		if (pd != null) {
			getProfileDxo().convertDtoToPage(pd, this);
		}
		return null;
	}

	public Class doUpdate() {
		UserInfoDto ud = getLoginDto().getUserDto();
		String userId = ud.getUserId();
		Profile p = getProfileDxo().convertPageToEntity(this);
		p.setUserId(userId);
		if (getLoginDto().getProfileDto().getName() != null) {
			// update
			getProfileDao().update(p);

		} else {
			// insert
			getProfileDao().insert(p);

		}
		ProfileDto pd = getProfileDxo().convertEntityToDto(p);
		getLoginDto().setProfileDto(pd);
		return MainPage.class;
	}

	@Override
	@Required
	public void setBirthDay(String birthDay) {
		this.birthDay = birthDay;
	}

	@Override
	@Required
	public void setIntrodunctionText(String introdunctionText) {
		this.introdunctionText = introdunctionText;
	}

	@Override
	@Required
	public void setName(String name) {
		this.name = name;
	}

	@Override
	@Required
	public void setPublicDiv(String publicDiv) {
		this.publicDiv = publicDiv;
	}

	@Override
	@Required
	public void setSex(String sex) {
		this.sex = sex;
	}

}
